/**********************************************************
 *
 * EREPGEN.ADO: Compute measurement error adjusted vars
 *
 **********************************************************/

* syntax: erepgen <<control vars>> ifclause weight
program define erepgen
	args rhsvars ifclause weight
	quietly sum vmeas `ifclause' `weight'
	gen vmeas_avg = `r(mean)'
	quietly areg rep `rhsvars' `ifclause' `weight', absorb(zip_market_dindex)
	predict mrep_cond `ifclause', xbd
	local vrep_cond = e(rmse)^2-vmeas_avg
	gen Erep = ((1/`vrep_cond')*mrep_cond+(1/vmeas)*rep)/((1/`vrep_cond')+(1/vmeas))
	gen Erep2 = 1/((1/`vrep_cond')+(1/vmeas)) + Erep^2
	gen Erep_slant = Erep*slant
	gen Erep_pctrep = Erep*np_pctrep_2004
	quietly sum rep `ifclause' `weight'
	gen vrep = (`r(sd)')^2
	gen vrep_true = vrep-vmeas_avg
	drop mrep_cond vrep
end

