REM ****************************************************
REM * make.bat: double-click to run all scripts
REM *
REM * The following must be on the Windows path:
REM * - Stata
REM *
REM * Running this script also requires having a
REM * Windows environment variable called STATAEXE
REM * defined which contains the name of the stata
REM * executable on the machine. E.g.
REM *	STATAEXE=wmpstata
REM *	STATAEXE=wsestata
REM *
REM ****************************************************

SET LOG=..\output\make.log

REM LOG START
ECHO make.bat started	>%LOG%
ECHO %DATE%		>>%LOG%
ECHO %TIME%		>>%LOG%

REM TEMP DIRECTORY
RMDIR ..\temp /S /Q
mkdir ..\temp

REM GET_EXTERNALS
CALL get_externals	>>%LOG% 2>&1

REM BUILD.DO
%STATAEXE% /e do newsinfo_build.do
%STATAEXE% /e do speakers_build.do
%STATAEXE% /e do searches_build.do
%STATAEXE% /e do biasmeas_build.do
%STATAEXE% /e do demand_build.do
%STATAEXE% /e do costrev_build.do
COPY %LOG%+newsinfo_build.log+speakers_build.log+searches_build.log+biasmeas_build.log+demand_build.log+costrev_build.log %LOG%
DEL newsinfo_build.log speakers_build.log searches_build.log biasmeas_build.log demand_build.log costrev_build.log

REM LOG END
ECHO make.bat completed	>>%LOG%
ECHO %DATE%		>>%LOG%
ECHO %TIME%		>>%LOG%

PAUSE
