/**********************************************************
 *
 * EANDPGROUPS_CLEAN.DO: Clean groups file
 *
 * Creator:		Matthew Gentzkow. Edited by Yao Lu, July 2009 (for consistency with SVN organization).
 * Date:		March, 2006
 *
 **********************************************************/

**********************************************************
* DIRECTORIES USED
**********************************************************
local dir "..\external"
local dir2 "..\output"

**********************************************************
* INPUT FILES
**********************************************************
local groups "`dir2'\groups2001.dta"
local alias "`dir'\groupaliases.txt"
local toadd "`dir'\groupstoadd.txt"

**********************************************************
* TEMP FILES
**********************************************************
local addtemp "addtemp.dta"
local aliastemp "aliastemp.dta"

**********************************************************
* OUTPUT FILES
**********************************************************
local output "`dir2'\groups2001_clean.dta"

**********************************************************
* PRELIMINARIES
**********************************************************
clear
set memory 600m
set matsize  500

**********************************************************
* CREATE TEMP FILES
**********************************************************
insheet using "`alias'", clear
sort gindex
save "`aliastemp'", replace

insheet using "`toadd'", clear
tostring gzip, replace
save "`addtemp'", replace

**********************************************************
* CLEAN GROUPS FILE
**********************************************************
use "`groups'",  clear
keep gindex ggroup gcity gstate gzip gcountry
ren ggroup groupname
sort gindex
merge gindex using "`aliastemp'"
drop _merge
append using "`addtemp'"
replace gzip="" if gzip=="."
drop if issubsidiary==1
drop groupid endmonth endyear notes gsub issubsidiary
sort gindex
save "`output'", replace

erase "`aliastemp'"
erase "`addtemp'"
