REM ****************************************************
REM * make.bat: double-click to run all scripts
REM *
REM * The following must be on the Windows path:
REM * - Stata
REM *
REM * Running this script also requires having a
REM * Windows environment variable called STATAEXE
REM * defined which contains the name of the stata
REM * executable on the machine. E.g.
REM *	STATAEXE=wmpstata
REM *	STATAEXE=wsestata
REM *
REM ****************************************************

SET LOG=..\output\make.log

REM LOG START
ECHO make.bat started	>%LOG%
ECHO %DATE%		>>%LOG%
ECHO %TIME%		>>%LOG%

REM DELTE output files without deleting folders (else .svn gets deleted).
REM NOTE will not clear subfolders of output.
DEL /F /Q ..\output\
dir ..\output\ >>%LOG%

REM GET_EXTERNALS
CALL get_externals	>>%LOG% 2>&1

REM EANDP DO-FILES
%STATAEXE% /e do EandP_build.do
%STATAEXE% /e do EandPgroups_clean.do
%STATAEXE% /e do EandPdaily_clean.do
COPY %LOG%+EandP_build.log+EandPgroups_clean.log+EandPdaily_clean.log %LOG%
DEL EandP_build.log EandPgroups_clean.log EandPdaily_clean.log

REM LOG END
ECHO make.bat completed	>>%LOG%
ECHO %DATE%		>>%LOG%
ECHO %TIME%		>>%LOG%

PAUSE