**********************************************************
*
* LEIP_BUILD.DO
*
* Date: May, 2006
*
**********************************************************

**********************************************************
* FILENAMES
**********************************************************
local input_county04 "..\external\county_2004.txt"
local counties "..\external\counties.dta"

**********************************************************
* PRELIMINARIES
**********************************************************
cap log close
clear
set mem 500m
set matsize 500
set more off

**********************************************************
* ORGANIZE COUNTY DATA
**********************************************************
insheet using  "`input_county04'", clear
drop v9 v32-v45 v49-v56
drop k b n kerry bush nader other statecode countycode
drop if countyname=="" | countyname=="Overseas"
drop if state=="T"
replace totalvote = subinstr(totalvote,",","",.)
ren v8 marginpct
ren v14 kerry
ren v15 bush
ren v16 nader
replace totalvote = subinstr(totalvote,",","",.)
replace margin = subinstr(margin,",","",.)
destring totalvote margin, replace
drop if totalvote==.
gen repshare04 = bush/(bush+kerry)
label var repshare04 "2004 Republican Share of County Two-Party Vote"
gen stcntyfp = string(fips,"%05.0f")
placevar stcntyfp countyname state repshare
drop if stcntyfp=="."
ren countyname county
sort stcntyfp

**********************************************************
* CLEAN UP MSA CODES
**********************************************************
sort stcntyfp
merge stcntyfp using "`counties'"
drop if _merge==2
drop _merge
replace pmsa="5000" if state=="FL" & county=="Miami-Dade"
replace pmsa="2080" if state=="CO" & county=="Broomfield"

*****************************************************************
* DEFINE "MARKET" VARIABLE
*****************************************************************
gen npmarket = stcntyfp
replace npmarket = pmsa if pmsa!=""
collapse (sum) bush kerry, by(npmarket)
gen pctrep_2004 = bush/(bush+kerry)

*****************************************************************
* SAVE
*****************************************************************
keep npmarket pctrep_2004 
* add state totals for Alaska (counties not well-defined electoral units in Alaska)
append using ..\audit\alaska_markets.dta
save ..\output\leip_npmarket.dta, replace


