/*********************************************************
*    
*   clean.do
*
*   Creator:		Mike Sinkinson
*   Date:		Sep, 2006
*
*   Assembled by Felicity Bloom, July 2009
*
*********************************************************/

cap log close
cap log using "..\external\clean.log", replace text
set linesize 255

**********************************************************
* PRELIMINARIES
**********************************************************
clear
set memory 600m
set matsize  500

**********************************************************
* BUILD districtvote_00_04
**********************************************************

insheet using  "..\external\ERDFD26A.CSV", delim(",") clear

ren v1 ST
ren v2 STA
ren v3 ED
ren v4 PTY_04
ren v5 LNF_04
ren v6 G04H_DV
ren v7 G04H_RV
ren v8 G04H_OV
ren v9 G04H_TV
ren v10 G04H_WF
ren v11 G04H_PV
ren v12 G04H_PP
ren v13 G04H_DP
ren v14 G04H_RP
ren v15 G04H_OP
ren v16 G04P_DV
ren v17 G04P_RV
ren v18 G04P_OV
ren v19 G04P_TV
ren v20 G04P_WF
ren v21 G04P_PV
ren v22 G04P_PP
ren v23 G04P_DP
ren v24 G04P_RP
ren v25 G04P_OP
ren v26 G00P_DV
ren v27 G00P_RV
ren v28 G00P_OV
ren v29 G00P_TV
ren v30 G00P_WF
ren v31 G00P_PV
ren v32 G00P_PP
ren v33 G00P_DP
ren v34 G00P_RP
ren v35 G00P_OP
ren v36 VERSION

label var ST "FIPS State code (sorts correctly)"
label var STA "State Postal Abbreviation (sorts incorrectly)"
label var ED "District Code (99 for At-Large-State)"
label var PTY_04 "Party of member elected in 2004"
label var LNF_04 "Last Name of Member elected in 2004"
label var G04H_DV "2004 Congress-Votes for Democrat"
label var G04H_RV "2004 Congress-Votes for Republican"
label var G04H_OV "2004 Congress-Votes for Others"
label var G04H_TV "2004 Congress-Votes, Total"
label var G04H_WF "2004 Congress-Winner Party"
label var G04H_PV "2004 Congress-Margin in votes"
label var G04H_PP "2004 Congress-Margin in percentage points"
label var G04H_DP "2004 Congress-Percentage for Democrat"
label var G04H_RP "2004 Congress-Percentage for Republican"
label var G04H_OP "2004 Congress-Percentage for Others"
label var G04P_DV "2004 President-Votes for Kerry"
label var G04P_RV "2004 President-Votes for Bush"
label var G04P_OV "2004 President-Votes for Others"
label var G04P_TV "2004 President-Votes, Total"
label var G04P_WF "2004 President-Winner Party"
label var G04P_PV "2004 President-Margin in votes"
label var G04P_PP "2004 President-Margin in percentage points"
label var G04P_DP "2004 President-Percentage for Kerry"
label var G04P_RP "2004 President-Percentage for Bush"
label var G04P_OP "2004 President-Percentage for Others"
label var G00P_DV "2000 President-Votes for Gore"
label var G00P_RV "2000 President-Votes for Bush"
label var G00P_OV "2000 President-Votes for Others"
label var G00P_TV "2000 President-Votes, Total"
label var G00P_WF "2000 President-Winner Party"
label var G00P_PV "2000 President-Margin in votes"
label var G00P_PP "2000 President-Margin in percentage points"
label var G00P_DP "2000 President-Percentage for Gore"
label var G00P_RP "2000 President-Percentage for Bush"
label var G00P_OP "2000 President-Percentage for Others"
label var VERSION "Dataset Version Control"

ren ST statefp
ren STA state
ren ED district
gen repshare04  =  G04P_RV/( G04P_RV+ G04P_DV)
label var repshare04 "Bush Votes / (Bush Votes + Kerry Votes) 2004"
gen demshare04  =  G04P_DV/( G04P_DV+ G04P_RV)
label var demshare04 "Kerry Votes / (Bush Votes + Kerry Votes) 2004"
placevar repshare04 demshare04, a(district)
sort state district
save "..\external\districtvote_00_04.dta", replace

**********************************************************
* BUILD districtvote_103
**********************************************************

insheet using  "..\external\ERDGG14B.CSV", delim(",") clear

ren v1 ST
ren v2 STA
ren v3 ED
ren v4 PTY
ren v5 LNF
ren v6 G92H_DV
ren v7 G92H_RV
ren v8 G92H_OV
ren v9 G92H_TV
ren v10 G92H_WF
ren v11 G92H_PV
ren v12 G92H_PP
ren v13 G92H_DP
ren v14 G92H_RP
ren v15 G92H_OP
ren v16 G92P_DV
ren v17 G92P_RV
ren v18 G92P_OV
ren v19 G92P_TV
ren v20 G92P_WF
ren v21 G92P_PV
ren v22 G92P_PP
ren v23 G92P_DP
ren v24 G92P_RP
ren v25 G92P_OP
ren v26 G88P_DV
ren v27 G88P_RV
ren v28 G88P_OV
ren v29 G88P_TV
ren v30 G88P_WF
ren v31 G88P_PV
ren v32 G88P_PP
ren v33 G88P_DP
ren v34 G88P_RP
ren v35 G88P_OP
ren v36 VERSION

label var ST "FIPS State code (sorts correctly)"
label var STA "State Postal Abbreviation (sorts incorrectly)"
label var ED "District Code (99 for At-Large-State)"
label var PTY "Party of member elected in 1992"
label var LNF "Last Name of Member elected in 1992"
label var G92H_DV "1992 Congress-Votes for Democrat"
label var G92H_RV "1992 Congress-Votes for Republican"
label var G92H_OV "1992 Congress-Votes for Others"
label var G92H_TV "1992 Congress-Votes, Total"
label var G92H_WF "1992 Congress-Winner Party"
label var G92H_PV "1992 Congress-Margin in votes"
label var G92H_PP "1992 Congress-Margin in percentage points"
label var G92H_DP "1992 Congress-Percentage for Democrat"
label var G92H_RP "1992 Congress-Percentage for Republican"
label var G92H_OP "1992 Congress-Percentage for Others"
label var G92P_DV "1992 President-Votes for Clinton"
label var G92P_RV "1992 President-Votes for Bush"
label var G92P_OV "1992 President-Votes for Perot"
label var G92P_TV "1992 President-Votes, Total"
label var G92P_WF "1992 President-Winner Party"
label var G92P_PV "1992 President-Margin in votes"
label var G92P_PP "1992 President-Margin in percentage points"
label var G92P_DP "1992 President-Percentage for Clinton"
label var G92P_RP "1992 President-Percentage for Bush"
label var G92P_OP "1992 President-Percentage for Perot"
label var G88P_DV "1988 President-Votes for Dukakis"
label var G88P_RV "1988 President-Votes for Bush"
label var G88P_OV "1988 President-Votes for Others"
label var G88P_TV "1988 President-Votes, Total"
label var G88P_WF "1988 President-Winner Party"
label var G88P_PV "1988 President-Margin in votes"
label var G88P_PP "1988 President-Margin in percentage points"
label var G88P_DP "1988 President-Percentage for Dukakis"
label var G88P_RP "1988 President-Percentage for Bush"
label var G88P_OP "1988 President-Percentage for Others"
label var VERSION "Dataset Version Control"

ren ST statefp
ren STA state
ren ED district
gen repshare1992  =  G92P_RV/( G92P_RV+ G92P_DV)
label var repshare1992 "Bush Votes / (Bush Votes + Clinton Votes) 1992"
gen demshare1992  =  G92P_DV/( G92P_RV+ G92P_DV)
label var demshare1992 "Clinton Votes / (Bush Votes + Clinton Votes) 1992"
placevar repshare1992 demshare1992, a(district)
sort state district
save "..\external\districtvote_103.dta", replace

**********************************************************
* BUILD districtvote_104
**********************************************************

insheet using  "..\external\ERDGG14C.CSV", delim(",") clear

ren v1 ST
ren v2 STA
ren v3 ED
ren v4 PTY
ren v5 LNF
ren v6 G94H_DV
ren v7 G94H_RV
ren v8 G94H_OV
ren v9 G94H_TV
ren v10 G94H_WF
ren v11 G94H_PV
ren v12 G94H_PP
ren v13 G94H_DP
ren v14 G94H_RP
ren v15 G94H_OP
ren v16 G92P_DV
ren v17 G92P_RV
ren v18 G92P_OV
ren v19 G92P_TV
ren v20 G92P_WF
ren v21 G92P_PV
ren v22 G92P_PP
ren v23 G92P_DP
ren v24 G92P_RP
ren v25 G92P_OP
ren v26 VERSION

label var ST "FIPS State code (sorts correctly)"
label var STA "State Postal Abbreviation (sorts incorrectly)"
label var ED "District Code (99 for At-Large-State)"
label var PTY "Party of member elected in 1994"
label var LNF "Last Name of Member elected in 1994"
label var G94H_DV "1994 Congress-Votes for Democrat"
label var G94H_RV "1994 Congress-Votes for Republican"
label var G94H_OV "1994 Congress-Votes for Others"
label var G94H_TV "1994 Congress-Votes, Total"
label var G94H_WF "1994 Congress-Winner Party"
label var G94H_PV "1994 Congress-Margin in votes"
label var G94H_PP "1994 Congress-Margin in percentage points"
label var G94H_DP "1994 Congress-Percentage for Democrat"
label var G94H_RP "1994 Congress-Percentage for Republican"
label var G94H_OP "1994 Congress-Percentage for Others"
label var G92P_DV "1992 President-Votes for Clinton"
label var G92P_RV "1992 President-Votes for Bush"
label var G92P_OV "1992 President-Votes for Perot"
label var G92P_TV "1992 President-Votes, Total"
label var G92P_WF "1992 President-Winner Party"
label var G92P_PV "1992 President-Margin in votes"
label var G92P_PP "1992 President-Margin in percentage points"
label var G92P_DP "1992 President-Percentage for Clinton"
label var G92P_RP "1992 President-Percentage for Bush"
label var G92P_OP "1992 President-Percentage for Perot"
label var VERSION "Dataset Version Control"

ren ST statefp
ren STA state
ren ED district
gen repshare1994  =  G92P_RV/( G92P_RV+ G92P_DV)
label var repshare1994 "Bush Votes / (Bush Votes + Clinton Votes) 1992"
gen demshare1994  =  G92P_DV/( G92P_RV+ G92P_DV)
label var demshare1994 "Clinton Votes / (Bush Votes + Clinton Votes) 1992"
placevar repshare1994 demshare1994, a(district)
sort state district
save "..\external\districtvote_104.dta", replace

**********************************************************
* BUILD districtvote_105
**********************************************************

insheet using  "..\external\ERDFI05A.CSV", delim(",") clear

ren v1 ST
ren v2 STA
ren v3 ED
ren v4 PTY_96
ren v5 LNF_96
ren v6 G96H_DV
ren v7 G96H_RV
ren v8 G96H_OV
ren v9 G96H_TV
ren v10 G96H_WF
ren v11 G96H_PV
ren v12 G96H_PP
ren v13 G96H_DP
ren v14 G96H_RP
ren v15 G96H_OP
ren v16 G96P_DV
ren v17 G96P_RV
ren v18 G96P_OV
ren v19 G96P_TV
ren v20 G96P_WF
ren v21 G96P_PV
ren v22 G96P_PP
ren v23 G96P_DP
ren v24 G96P_RP
ren v25 G96P_OP
ren v26 G92P_DV
ren v27 G92P_RV
ren v28 G92P_OV
ren v29 G92P_TV
ren v30 G92P_WF
ren v31 G92P_PV
ren v32 G92P_PP
ren v33 G92P_DP
ren v34 G92P_RP
ren v35 G92P_OP
ren v36 VERSION

label var ST "FIPS State code (sorts correctly)"
label var STA "State Postal Abbreviation (sorts incorrectly)"
label var ED "District Code (99 for At-Large-State)"
label var PTY_96 "Party of member elected in 1996"
label var LNF_96 "Last Name of Member elected in 1996"
label var G96H_DV "1996 Congress-Votes for Democrat"
label var G96H_RV "1996 Congress-Votes for Republican"
label var G96H_OV "1996 Congress-Votes for Others"
label var G96H_TV "1996 Congress-Votes, Total"
label var G96H_WF "1996 Congress-Winner Party"
label var G96H_PV "1996 Congress-Margin in votes"
label var G96H_PP "1996 Congress-Margin in percentage points"
label var G96H_DP "1996 Congress-Percentage for Democrat"
label var G96H_RP "1996 Congress-Percentage for Republican"
label var G96H_OP "1996 Congress-Percentage for Others"
label var G96P_DV "1996 President-Votes for Clinton"
label var G96P_RV "1996 President-Votes for Dole"
label var G96P_OV "1996 President-Votes for Perot"
label var G96P_TV "1996 President-Votes, Total"
label var G96P_WF "1996 President-Winner Party"
label var G96P_PV "1996 President-Margin in votes"
label var G96P_PP "1996 President-Margin in percentage points"
label var G96P_DP "1996 President-Percentage for Clinton"
label var G96P_RP "1996 President-Percentage for Dole"
label var G96P_OP "1996 President-Percentage for Perot"
label var G92P_DV "1992 President-Votes for Clinton"
label var G92P_RV "1992 President-Votes for Bush"
label var G92P_OV "1992 President-Votes for Perot"
label var G92P_TV "1992 President-Votes, Total"
label var G92P_WF "1992 President-Winner Party"
label var G92P_PV "1992 President-Margin in votes"
label var G92P_PP "1992 President-Margin in percentage points"
label var G92P_DP "1992 President-Percentage for Clinton"
label var G92P_RP "1992 President-Percentage for Bush"
label var G92P_OP "1992 President-Percentage for Perot"
label var VERSION "Dataset Version Control"

ren ST statefp
ren STA state
ren ED district
gen repshare1996  =  G96P_RV/( G96P_RV+ G96P_DV)
label var repshare1996 "Dole Votes / (Dole Votes + Clinton Votes) 1996"
gen demshare1996  =  G96P_DV/( G96P_RV+ G96P_DV)
label var demshare1996 "Clinton Votes / (Dole Votes + Clinton Votes) 1996"
placevar repshare1996 demshare1996, a(district)
sort state district
save "..\external\districtvote_105.dta", replace

**********************************************************
* BUILD districtvote_106
**********************************************************

insheet using  "..\external\ERDFI05B.CSV", delim(",") clear

ren v1 ST
ren v2 STA
ren v3 ED
ren v4 PTY_98
ren v5 LNF_98
ren v6 G98H_DV
ren v7 G98H_RV
ren v8 G98H_OV
ren v9 G98H_TV
ren v10 G98H_WF
ren v11 G98H_PV
ren v12 G98H_PP
ren v13 G98H_DP
ren v14 G98H_RP
ren v15 G98H_OP
ren v16 G96P_DV
ren v17 G96P_RV
ren v18 G96P_OV
ren v19 G96P_TV
ren v20 G96P_WF
ren v21 G96P_PV
ren v22 G96P_PP
ren v23 G96P_DP
ren v24 G96P_RP
ren v25 G96P_OP
ren v26 VERSION

label var ST "FIPS State code (sorts correctly)"
label var STA "State Postal Abbreviation (sorts incorrectly)"
label var ED "District Code (99 for At-Large-State)"
label var PTY_98 "Party of member elected in 1998"
label var LNF_98 "Last Name of Member elected in 1998"
label var G98H_DV "1998 Congress-Votes for Democrat"
label var G98H_RV "1998 Congress-Votes for Republican"
label var G98H_OV "1998 Congress-Votes for Others"
label var G98H_TV "1998 Congress-Votes, Total"
label var G98H_WF "1998 Congress-Winner Party"
label var G98H_PV "1998 Congress-Margin in votes"
label var G98H_PP "1998 Congress-Margin in percentage points"
label var G98H_DP "1998 Congress-Percentage for Democrat"
label var G98H_RP "1998 Congress-Percentage for Republican"
label var G98H_OP "1998 Congress-Percentage for Others"
label var G96P_DV "1996 President-Votes for Gore"
label var G96P_RV "1996 President-Votes for Bush"
label var G96P_OV "1996 President-Votes for Others"
label var G96P_TV "1996 President-Votes, Total"
label var G96P_WF "1996 President-Winner Party"
label var G96P_PV "1996 President-Margin in votes"
label var G96P_PP "1996 President-Margin in percentage points"
label var G96P_DP "1996 President-Percentage for Clinton"
label var G96P_RP "1996 President-Percentage for Dole"
label var G96P_OP "1996 President-Percentage for Others"
label var VERSION "Dataset Version Control"

ren ST statefp
ren STA state
ren ED district
gen repshare1998  =  G96P_RV/( G96P_RV+ G96P_DV)
label var repshare1998 "Dole Votes / (Dole Votes + Clinton Votes) 1998"
gen demshare1998  =  G96P_DV/( G96P_RV+ G96P_DV)
label var demshare1998 "Clinton Votes / (Dole Votes + Clinton Votes) 1998"
placevar repshare1998 demshare1998, a(district)
sort state district
save "..\external\districtvote_106.dta", replace

**********************************************************
* BUILD districtvote_107
**********************************************************

insheet using  "..\external\ERDFI05C.CSV", delim(",") clear

ren v1 ST
ren v2 STA
ren v3 ED
ren v4 PTY_00
ren v5 LNF_00
ren v6 G00H_DV
ren v7 G00H_RV
ren v8 G00H_OV
ren v9 G00H_TV
ren v10 G00H_WF
ren v11 G00H_PV
ren v12 G00H_PP
ren v13 G00H_DP
ren v14 G00H_RP
ren v15 G00H_OP
ren v16 G00P_DV
ren v17 G00P_RV
ren v18 G00P_OV
ren v19 G00P_TV
ren v20 G00P_WF
ren v21 G00P_PV
ren v22 G00P_PP
ren v23 G00P_DP
ren v24 G00P_RP
ren v25 G00P_OP
ren v26 G96P_DV
ren v27 G96P_RV
ren v28 G96P_OV
ren v29 G96P_TV
ren v30 G96P_WF
ren v31 G96P_PV
ren v32 G96P_PP
ren v33 G96P_DP
ren v34 G96P_RP
ren v35 G96P_OP
ren v36 VERSION

label var ST "FIPS State code (sorts correctly)"
label var STA "State Postal Abbreviation (sorts incorrectly)"
label var ED "District Code (99 for At-Large-State)"
label var PTY_00 "Party of member elected in 2000"
label var LNF_00 "Last Name of Member elected in 2000"
label var G00H_DV "2000 Congress-Votes for Democrat"
label var G00H_RV "2000 Congress-Votes for Republican"
label var G00H_OV "2000 Congress-Votes for Others"
label var G00H_TV "2000 Congress-Votes, Total"
label var G00H_WF "2000 Congress-Winner Party"
label var G00H_PV "2000 Congress-Margin in votes"
label var G00H_PP "2000 Congress-Margin in percentage points"
label var G00H_DP "2000 Congress-Percentage for Democrat"
label var G00H_RP "2000 Congress-Percentage for Republican"
label var G00H_OP "2000 Congress-Percentage for Others"
label var G00P_DV "2000 President-Votes for Gore"
label var G00P_RV "2000 President-Votes for Bush"
label var G00P_OV "2000 President-Votes for Others"
label var G00P_TV "2000 President-Votes, Total"
label var G00P_WF "2000 President-Winner Party"
label var G00P_PV "2000 President-Margin in votes"
label var G00P_PP "2000 President-Margin in percentage points"
label var G00P_DP "2000 President-Percentage for Gore"
label var G00P_RP "2000 President-Percentage for Bush"
label var G00P_OP "2000 President-Percentage for Others"
label var G96P_DV "1996 President-Votes for Clinton"
label var G96P_RV "1996 President-Votes for Dole"
label var G96P_OV "1996 President-Votes for Others"
label var G96P_TV "1996 President-Votes, Total"
label var G96P_WF "1996 President-Winner Party"
label var G96P_PV "1996 President-Margin in votes"
label var G96P_PP "1996 President-Margin in percentage points"
label var G96P_DP "1996 President-Percentage for Clinton"
label var G96P_RP "1996 President-Percentage for Dole"
label var G96P_OP "1996 President-Percentage for Others"
label var VERSION "Dataset Version Control"

ren ST statefp
ren STA state
ren ED district
gen repshare2000  =  G00P_RV/( G00P_RV+ G00P_DV)
label var repshare2000 "Bush Votes / (Bush Votes + Gore Votes) 2000"
gen demshare2000  =  G00P_DV/( G00P_RV+ G00P_DV)
label var demshare2000 "Gore Votes / (Bush Votes + Gore Votes) 2000"
placevar repshare2000 demshare2000, a(district)
sort state district
save "..\external\districtvote_107.dta", replace

**********************************************************
* BUILD districtvote_108
**********************************************************

insheet using  "..\external\ERDFI05D.CSV", delim(",") clear

ren v1 ST
ren v2 STA
ren v3 ED
ren v4 PTY_02
ren v5 LNF_02
ren v6 G02H_DV
ren v7 G02H_RV
ren v8 G02H_OV
ren v9 G02H_TV
ren v10 G02H_WF
ren v11 G02H_PV
ren v12 G02H_PP
ren v13 G02H_DP
ren v14 G02H_RP
ren v15 G02H_OP
ren v16 G00P_DV
ren v17 G00P_RV
ren v18 G00P_OV
ren v19 G00P_TV
ren v20 G00P_WF
ren v21 G00P_PV
ren v22 G00P_PP
ren v23 G00P_DP
ren v24 G00P_RP
ren v25 G00P_OP
ren v26 VERSION


label var ST "FIPS State code (sorts correctly)"
label var STA "State Postal Abbreviation (sorts incorrectly)"
label var ED "District Code (99 for At-Large-State)"
label var PTY_02 "Party of member elected in 2002"
label var LNF_02 "Last Name of Member elected in 2002"
label var G02H_DV "2002 Congress-Votes for Democrat"
label var G02H_RV "2002 Congress-Votes for Republican"
label var G02H_OV "2002 Congress-Votes for Others"
label var G02H_TV "2002 Congress-Votes, Total"
label var G02H_WF "2002 Congress-Winner Party"
label var G02H_PV "2002 Congress-Margin in votes"
label var G02H_PP "2002 Congress-Margin in percentage points"
label var G02H_DP "2002 Congress-Percentage for Democrat"
label var G02H_RP "2002 Congress-Percentage for Republican"
label var G02H_OP "2002 Congress-Percentage for Others"
label var G00P_DV "2000 President-Votes for Gore"
label var G00P_RV "2000 President-Votes for Bush"
label var G00P_OV "2000 President-Votes for Others"
label var G00P_TV "2000 President-Votes, Total"
label var G00P_WF "2000 President-Winner Party"
label var G00P_PV "2000 President-Margin in votes"
label var G00P_PP "2000 President-Margin in percentage points"
label var G00P_DP "2000 President-Percentage for Gore"
label var G00P_RP "2000 President-Percentage for Bush"
label var G00P_OP "2000 President-Percentage for Others"
label var VERSION "Dataset Version Control"

ren ST statefp
ren STA state
ren ED district
gen repshare2002  =  G00P_RV/( G00P_RV+ G00P_DV)
label var repshare2002 "Bush Votes / (Bush Votes + Gore Votes) 2002"
gen demshare2002  =  G00P_DV/( G00P_RV+ G00P_DV)
label var demshare2002 "Gore Votes / (Bush Votes + Gore Votes) 2002"
placevar repshare2002 demshare2002, a(district)
sort state district
save "..\external\districtvote_108.dta", replace

**********************************************************
* BUILD districtvote_109
**********************************************************

insheet using  "..\external\ERDFI05E.CSV", delim(",") clear

ren v1 ST
ren v2 STA
ren v3 ED
ren v4 PTY_04
ren v5 LNF_04
ren v6 G04H_DV
ren v7 G04H_RV
ren v8 G04H_OV
ren v9 G04H_TV
ren v10 G04H_WF
ren v11 G04H_PV
ren v12 G04H_PP
ren v13 G04H_DP
ren v14 G04H_RP
ren v15 G04H_OP
ren v16 G04P_DV
ren v17 G04P_RV
ren v18 G04P_OV
ren v19 G04P_TV
ren v20 G04P_WF
ren v21 G04P_PV
ren v22 G04P_PP
ren v23 G04P_DP
ren v24 G04P_RP
ren v25 G04P_OP
ren v26 G00P_DV
ren v27 G00P_RV
ren v28 G00P_OV
ren v29 G00P_TV
ren v30 G00P_WF
ren v31 G00P_PV
ren v32 G00P_PP
ren v33 G00P_DP
ren v34 G00P_RP
ren v35 G00P_OP
ren v36 VERSION

label var ST "FIPS State code (sorts correctly)"
label var STA "State Postal Abbreviation (sorts incorrectly)"
label var ED "District Code (99 for At-Large-State)"
label var PTY_04 "Party of member elected in 2004"
label var LNF_04 "Last Name of Member elected in 2004"
label var G04H_DV "2004 Congress-Votes for Democrat"
label var G04H_RV "2004 Congress-Votes for Republican"
label var G04H_OV "2004 Congress-Votes for Others"
label var G04H_TV "2004 Congress-Votes, Total"
label var G04H_WF "2004 Congress-Winner Party"
label var G04H_PV "2004 Congress-Margin in votes"
label var G04H_PP "2004 Congress-Margin in percentage points"
label var G04H_DP "2004 Congress-Percentage for Democrat"
label var G04H_RP "2004 Congress-Percentage for Republican"
label var G04H_OP "2004 Congress-Percentage for Others"
label var G04P_DV "2004 President-Votes for Kerry"
label var G04P_RV "2004 President-Votes for Bush"
label var G04P_OV "2004 President-Votes for Others"
label var G04P_TV "2004 President-Votes, Total"
label var G04P_WF "2004 President-Winner Party"
label var G04P_PV "2004 President-Margin in votes"
label var G04P_PP "2004 President-Margin in percentage points"
label var G04P_DP "2004 President-Percentage for Kerry"
label var G04P_RP "2004 President-Percentage for Bush"
label var G04P_OP "2004 President-Percentage for Others"
label var G00P_DV "2000 President-Votes for Gore"
label var G00P_RV "2000 President-Votes for Bush"
label var G00P_OV "2000 President-Votes for Others"
label var G00P_TV "2000 President-Votes, Total"
label var G00P_WF "2000 President-Winner Party"
label var G00P_PV "2000 President-Margin in votes"
label var G00P_PP "2000 President-Margin in percentage points"
label var G00P_DP "2000 President-Percentage for Gore"
label var G00P_RP "2000 President-Percentage for Bush"
label var G00P_OP "2000 President-Percentage for Others"
label var VERSION "Dataset Version Control"

ren ST statefp
ren STA state
ren ED district
gen repshare2004  =  G04P_RV/( G04P_RV+ G04P_DV)
label var repshare2004 "Bush Votes / (Bush Votes + Kerry Votes) 2004"
gen demshare2004  =  G04P_DV/( G04P_RV+ G04P_DV)
label var demshare2004 "Kerry Votes / (Bush Votes + Kerry Votes) 2004"
placevar repshare2004 demshare2004, a(district)
sort state district
save "..\external\districtvote_109.dta", replace

**********************************************************
* BUILD districtdemo_109
**********************************************************

insheet using  "..\external\DFDFI22A.CSV", delim(",") clear

ren v1	ST
ren v2	STA
ren v3	FPLAN
ren v4	ED
ren v5	RDF
ren v6	GEOKEY
ren v7	TOTPOP
ren v8	TOTVAP
ren v9	VAPP
ren v10	NHWVAP
ren v11	NHBVAP
ren v12	NHIVAP
ren v13	NHAVAP
ren v14	NHPVAP
ren v15	NHOVAP
ren v16	NHMVAP
ren v17	HSPVAP
ren v18	NHWPVA
ren v19	NHBPVA
ren v20	NHIPVA
ren v21	NHAPVA
ren v22	NHPPVA
ren v23	NHOPVA
ren v24	NHMPVA
ren v25	HSPPVA
ren v26	ANGVAP
ren v27	ANGPVA
ren v28	MINVAP
ren v29	MINPVA
ren v30	HSPMEXIPAH
ren v31	HSPPUERPAH
ren v32	HSPCUBAPAH
ren v33	HSPDOMIPAH
ren v34	HSPCENTPAH
ren v35	HSPSOUTPAH
ren v36	HSPOTHRPAH
ren v37	SMTOTAL
ren v38	SMLAND
ren v39	SMWATR
ren v40	ACLAND
ren v41	POPPSM
ren v42	POPPAC
ren v43	ACPPOP
ren v44	URBANPTP
ren v45	RURALPTP
ren v46	AGE0004PTP
ren v47	AGE0517PTP
ren v48	AGE1824PTP
ren v49	AGE2544PTP
ren v50	AGE4564PTP
ren v51	AGE6599PTP
ren v52	AGEMED
ren v53	EDA0008P25
ren v54	EDA0911P25
ren v55	EDAHIGHP25
ren v56	EDASOMEP25
ren v57	EDACOLLP25
ren v58	EDAPOSTP25
ren v59	MILNOWPVA
ren v60	MILVETPVA
ren v61	NATIVEPTP
ren v62	NONCITPTP
ren v63	FEMILFPF6
ren v64	FEMILFPLF
ren v65	UNEMALLP16
ren v66	UNEMALLPLF
ren v67	COWPRIVPEW
ren v68	COWGOVTPEW
ren v69	COWSELFPEW
ren v70	COWUNPDPEW
ren v71	INDAGRPEW
ren v72	INDCONPEW
ren v73	INDFINPEW
ren v74	INDMANPEW
ren v75	INDINFPEW
ren v76	INDPROPEW
ren v77	INDTRAPEW
ren v78	INDOTHPEW
ren v79	INDPUBPEW
ren v80	OCCWHITPEW
ren v81	OCCBLUEPEW
ren v82	OCCGREYPEW
ren v83	HINC015PHH
ren v84	HINC035PHH
ren v85	HINC050PHH
ren v86	HINC100PHH
ren v87	HINC150PHH
ren v88	HINC999PHH
ren v89	HINCMED
ren v90	HINCDEX
ren v91	INCPERCAP
ren v92	PSFAMBPAF
ren v93	PSFAMAPAF
ren v94	PS0017PSD
ren v95	PS1864PSD
ren v96	PS6599PSD
ren v97	UIS0001PHU
ren v98	UIS0104PHU
ren v99	UIS0599PHU
ren v100	UISMOBLPHU
ren v101	RETAXMED
ren v102	RETAXDEX
ren v103	OHUVMED
ren v104	OHUVDEX
ren v105	HEATCOAPHU
ren v106	HEATELEPHU
ren v107	HEATGASPHU
ren v108	HEATOILPHU
ren v109	HEATPROPHU
ren v110	HEATLOGPHU
ren v111	HEATOTHPHU
ren v112	HEATNONPHU
ren v113	SESSTAVG
ren v114	SESUSAVG
ren v115	G04H_DP
ren v116	G04H_RP
ren v117	G04H_OP
ren v118	G04H_WF
ren v119	G04P_DP
ren v120	G04P_RP
ren v121	G04P_OP
ren v122	G04P_WF
ren v123	HWIN
ren v124	PWIN
ren v125	HWINPCT
ren v126	PWINPCT
ren v127	TOTVOT
ren v128	TAPP
ren v129	TAPV
ren v130	NONCITNUM
ren v131	NONCITVAP
ren v132	TOTCVA
ren v133	TAPC
ren v134	VERSION

label var ST "FIPS State code (sorts correctly)"
label var STA "State Postal Abbreviation (sorts incorrectly)"
label var FPLAN "Plan Identification (year of first use+C for congress)"
label var ED "District Code (99 for At-Large-State; 98 for D.C.)"
label var RDF "Redistricting Flag (if new plan since previous election)"
label var GEOKEY "Geographic Match Key (st+ed)"
label var TOTPOP "Total Population"
label var TOTVAP "Total Voting Age Population"
label var VAPP "Voting Age Population as % Total Population"
label var NHWVAP "Race/SO-White (Non-Hispanic)"
label var NHBVAP "Race/SO-Black (Non-Hispanic)"
label var NHIVAP "Race/SO-Am. Indian (Non-Hispanic)"
label var NHAVAP "Race/SO-Asian (Non-Hispanic)"
label var NHPVAP "Race/SO-Pac. Islander (Non-Hispanic)"
label var NHOVAP "Race/SO-Other (Non-Hispanic)"
label var NHMVAP "Race/SO-Multi Race (Non-Hispanic)"
label var HSPVAP "Race/SO-Hispanic"
label var NHWPVA "Race/SO-White (Non-Hispanic) %"
label var NHBPVA "Race/SO-Black (Non-Hispanic) %"
label var NHIPVA "Race/SO-Am. Indian (Non-Hispanic) %"
label var NHAPVA "Race/SO-Asian (Non-Hispanic) %"
label var NHPPVA "Race/SO-Pac. Islander (Non-Hispanic) %"
label var NHOPVA "Race/SO-Other (Non-Hispanic) %"
label var NHMPVA "Race/SO-Multi Race (Non-Hispanic) %"
label var HSPPVA "Race/SO-Hispanic %"
label var ANGVAP "Race/SO-Anglo (Non-Minority)"
label var ANGPVA "Race/SO-Anglo (Non-Minority) %"
label var MINVAP "Race/SO-Minority (Non-Anglo)"
label var MINPVA "Race/SO-Minority (Non-Anglo) %"
label var HSPMEXIPAH "Hispanics-Mexican (% of all Hispanics)"
label var HSPPUERPAH "Hispanics-Puerto Rican (% of all Hispanics)"
label var HSPCUBAPAH "Hispanics-Cuban (% of all Hispanics)"
label var HSPDOMIPAH "Hispanics-Dominican (% of all Hispanics)"
label var HSPCENTPAH "Hispanics-Central American (% of all Hispanics)"
label var HSPSOUTPAH "Hispanics-South American (% of all Hispanics)"
label var HSPOTHRPAH "Hispanics-Other (% of all Hispanics)"
label var SMTOTAL "Area Size in sq. mi."
label var SMLAND "Land Area in sq. mi."
label var SMWATR "Water Area in sq. mi."
label var ACLAND "Land Size in Acres"
label var POPPSM "Persons per sq. mi."
label var POPPAC "Persons per acre"
label var ACPPOP "Acres per person"
label var URBANPTP "Urban Population, %Pop"
label var RURALPTP "Rural Population, %Pop"
label var AGE0004PTP "Age-0-4 yrs, %Pop"
label var AGE0517PTP "Age-5-17 yrs, %Pop"
label var AGE1824PTP "Age-18-24 yrs, %Pop"
label var AGE2544PTP "Age-25-44 yrs, %Pop"
label var AGE4564PTP "Age-45-64 yrs, %Pop"
label var AGE6599PTP "Age-65 yrs+, %Pop"
label var AGEMED "Age-Median"
label var EDA0008P25 "Education-Less than 9th Grade, %25+Yrs"
label var EDA0911P25 "Education-9-12 but No Diploma, %25+Yrs"
label var EDAHIGHP25 "Education-High School Diploma+, %25+Yrs"
label var EDASOMEP25 "Education-Some College but No 4-year degree%"
label var EDACOLLP25 "Education-College Degree+, %25+Yrs"
label var EDAPOSTP25 "Education-Post Graduate Degree, %25+Yrs"
label var MILNOWPVA "Currently in Military, %VAP"
label var MILVETPVA "Military Veteran, %VAP"
label var NATIVEPTP "Born in the State, %Pop"
label var NONCITPTP "Non-Citizens, %Pop"
label var FEMILFPF6 "Females in Labor Force, %Females16+"
label var FEMILFPLF "Females in Labor Force, %Labor Force"
label var UNEMALLP16 "Unemployment (1999)-All, %16+Yrs"
label var UNEMALLPLF "Unemployment (1999)-All, %Force"
label var COWPRIVPEW "Private Sector, %EmpWrkrs"
label var COWGOVTPEW "Government Sector, %EmpWrkrs"
label var COWSELFPEW "Self-Employed, %EmpWrkrs"
label var COWUNPDPEW "Unpaid Family Workers, %EmpWrkrs"
label var INDAGRPEW "Industry-Agriculture, %EmpWrk"
label var INDCONPEW "Industry-Construction, %EmpWrk"
label var INDFINPEW "Industry-Finance, %EmpWrk"
label var INDMANPEW "Industry-Manufacturing, %EmpWrk"
label var INDINFPEW "Industry-Information, %EmpWrk"
label var INDPROPEW "Industry-Professional, %EmpWrk"
label var INDTRAPEW "Industry-Trade, %EmpWrk"
label var INDOTHPEW "Industry-Travel & Leisure, %EmpWrk"
label var INDPUBPEW "Industry-Public Service, %EmpWrk"
label var OCCWHITPEW "Occupation-White Collar Workers, %EmpWrk"
label var OCCBLUEPEW "Occupation-Blue Collar Workers, %EmpWrkr"
label var OCCGREYPEW "Occupation-Grey (Service,Farm), %EmpWrkr"
label var HINC015PHH "HH Income-under $15,000, %HH"
label var HINC035PHH "HH Income-$15,001-$35,000, %HH"
label var HINC050PHH "HH Income-$35,001-$50,000, %HH"
label var HINC100PHH "HH Income-$50,001-$100,000, %HH"
label var HINC150PHH "HH Income-$100,001-$150,000, %HH"
label var HINC999PHH "HH Income-over $150,000, %HH"
label var HINCMED "HH Income--Median (1999)"
label var HINCDEX "HH Income Median-State Index"
label var INCPERCAP "Income per Capita"
label var PSFAMBPAF "Poverty-Families Below Line, %Families"
label var PSFAMAPAF "Poverty-Families Above Line, %Families"
label var PS0017PSD "Persons under 18 in Poverty, %SpecUniv"
label var PS1864PSD "Persons 18-64 in Poverty, %SpecUniv"
label var PS6599PSD "Persons 65+ in Poverty, %SpecUniv"
label var UIS0001PHU "Single Family Detached, %HsgUnits"
label var UIS0104PHU "Attached 1 up to 4 Units, %HsgUnits"
label var UIS0599PHU "More than 5 Units, %HsgUnits"
label var UISMOBLPHU "Mobile Home Housing, %HsgUnits"
label var RETAXMED "Real Estate Tax-Median"
label var RETAXDEX "Real Estate Tax-State Index"
label var OHUVMED "Home Value-Median (1999)"
label var OHUVDEX "Home Value-State Index"
label var HEATCOAPHU "Home Heating Fuel-Coal, %HsgUnits"
label var HEATELEPHU "Home Heating Fuel-Electric, %HsgUnits"
label var HEATGASPHU "Home Heating Fuel-Nat. Gas, %HsgUnits"
label var HEATOILPHU "Home Heating Fuel-Oil, %HsgUnits"
label var HEATPROPHU "Home Heating Fuel-Propane, %HsgUnits"
label var HEATLOGPHU "Home Heating Fuel-Wood, %HsgUnits"
label var HEATOTHPHU "Home Heating Fuel-Other, %HsgUnits"
label var HEATNONPHU "Home Heating Fuel-None, %HsgUnits"
label var SESSTAVG "SES Indicator Average-ST"
label var SESUSAVG "SES Indicator Average-US"
label var G04H_DP "2004 Congress-Percentage for Democrat"
label var G04H_RP "2004 Congress-Percentage for Republican"
label var G04H_OP "2004 Congress-Percentage for Others"
label var G04H_WF "2004 Congress-Winner Party"
label var G04P_DP "2004 President-Percentage for Kerry"
label var G04P_RP "2004 President-Percentage for Bush"
label var G04P_OP "2004 President-Percentage for Others"
label var G04P_WF "2004 President-Winner Party"
label var HWIN "Winning Party for House election"
label var PWIN "Winning Party for Presidential election"
label var HWINPCT "Winning % for House election"
label var PWINPCT "Winning % for Presidential election"
label var TOTVOT "Total Votes for Presidential election"
label var TAPP "Turnout as % of Total Population (2000)"
label var TAPV "Turnout as % of Voting Age Population (2000)"
label var NONCITNUM "Sample estimate for noncitizen persons"
label var NONCITVAP "Estimate of noncitizen persons of voting age"
label var TOTCVA "Estimate of Citizens of Voting Age"
label var TAPC "Turnout as % of Citizens of Voting Age (Estimated; 2000)"
label var VERSION "Dataset Version Control"

* gen education vars
egen pcths00 = rsum(EDAHIGHP25-EDAPOSTP25)
egen pctcol00 = rsum(EDACOLLP25-EDAPOSTP25)

ren ST statefp
ren STA state
ren ED district
sort state district
save "..\external\districtdemo_109.dta", replace

**********************************************************
* BUILD districtvote_110
**********************************************************

insheet using  "..\external\ERDGG14A.CSV", delim(",") clear

ren v1 ST
ren v2 STA
ren v3 ED
ren v4 PTY
ren v5 LNF
ren v6 G06H_DV
ren v7 G06H_RV
ren v8 G06H_OV
ren v9 G06H_TV
ren v10 G06H_WF
ren v11 G06H_PV
ren v12 G06H_PP
ren v13 G06H_DP
ren v14 G06H_RP
ren v15 G06H_OP
ren v16 G04P_DV
ren v17 G04P_RV
ren v18 G04P_OV
ren v19 G04P_TV
ren v20 G04P_WF
ren v21 G04P_PV
ren v22 G04P_PP
ren v23 G04P_DP
ren v24 G04P_RP
ren v25 G04P_OP
ren v26 G00P_DV
ren v27 G00P_RV
ren v28 G00P_OV
ren v29 G00P_TV
ren v30 G00P_WF
ren v31 G00P_PV
ren v32 G00P_PP
ren v33 G00P_DP
ren v34 G00P_RP
ren v35 G00P_OP
ren v36 VERSION

label var ST "FIPS State code (sorts correctly)"
label var STA "State Postal Abbreviation (sorts incorrectly)"
label var ED "District Code (99 for At-Large-State)"
label var PTY "Party of member elected in 2006"
label var LNF "Last Name of Member elected in 2006"
label var G06H_DV "2006 Congress-Votes for Democrat"
label var G06H_RV "2006 Congress-Votes for Republican"
label var G06H_OV "2006 Congress-Votes for Others"
label var G06H_TV "2006 Congress-Votes, Total"
label var G06H_WF "2006 Congress-Winner Party"
label var G06H_PV "2006 Congress-Margin in votes"
label var G06H_PP "2006 Congress-Margin in percentage points"
label var G06H_DP "2006 Congress-Percentage for Democrat"
label var G06H_RP "2006 Congress-Percentage for Republican"
label var G06H_OP "2006 Congress-Percentage for Others"
label var G04P_DV "2004 President-Votes for Kerry"
label var G04P_RV "2004 President-Votes for Bush"
label var G04P_OV "2004 President-Votes for Others"
label var G04P_TV "2004 President-Votes, Total"
label var G04P_WF "2004 President-Winner Party"
label var G04P_PV "2004 President-Margin in votes"
label var G04P_PP "2004 President-Margin in percentage points"
label var G04P_DP "2004 President-Percentage for Kerry"
label var G04P_RP "2004 President-Percentage for Bush"
label var G04P_OP "2004 President-Percentage for Others"
label var G00P_DV "2000 President-Votes for Gore"
label var G00P_RV "2000 President-Votes for Bush"
label var G00P_OV "2000 President-Votes for Others"
label var G00P_TV "2000 President-Votes, Total"
label var G00P_WF "2000 President-Winner Party"
label var G00P_PV "2000 President-Margin in votes"
label var G00P_PP "2000 President-Margin in percentage points"
label var G00P_DP "2000 President-Percentage for Gore"
label var G00P_RP "2000 President-Percentage for Bush"
label var G00P_OP "2000 President-Percentage for Others"
label var VERSION "Dataset Version Control"

ren ST statefp
ren STA state
ren ED district
gen repshare2006  =  G04P_RV/( G04P_RV+ G04P_DV)
label var repshare2006 "Bush Votes / (Bush Votes + Gore Votes) 2006"
gen demshare2006  =  G04P_DV/( G04P_RV+ G04P_DV)
label var demshare2006 "Gore Votes / (Bush Votes + Gore Votes) 2006"
placevar repshare2006 demshare2006, a(district)
sort state district
save "..\external\districtvote_110.dta", replace


cap log close