/**********************************************************
 *
 * combine_build.DO
 *
 * Creator:		Mike Sinkinson
 * Date:		Sep, 2006
 *
 * Editor:		Felicity Bloom
 * Date:		July 2009
 **********************************************************/

cap log close
cap log using "combine_build.log", replace text
set linesize 255

**********************************************************
* GLOBALS
**********************************************************
tempfile tempRep tempDem tempHR tempHD tempPR tempPD


**********************************************************
* FILES
**********************************************************

local file1 "..\external\districtvote_105.dta"
local file2 "..\external\districtvote_106.dta"
local file3 "..\external\districtvote_107.dta"
local file4 "..\external\districtvote_108.dta"
local file5 "..\external\districtvote_103.dta"
local file6 "..\external\districtvote_104.dta"
local file7 "..\external\districtvote_110.dta"

local master "..\external\districtvote_109.dta"

local outfile "..\output\districtshare.dta"

**********************************************************
* PRELIMINARIES
**********************************************************
clear
set memory 600m
set matsize  500

**********************************************************
* BUILD
**********************************************************

use "`master'"

merge state district using "`file1'" "`file2'" "`file3'" "`file4'" "`file5'" "`file6'" "`file7'", sort
keep  statefp state district repshare* demshare*  G06H_DV G06H_RV G04P_DV G04P_RV G04H_DV G04H_RV G02H_DV G02H_RV G00P_DV G00P_RV G00H_DV G00H_RV G98H_DV G98H_RV G96P_DV G96P_RV G96H_DV G96H_RV G94H_DV G94H_RV G92P_DV G92P_RV G92H_DV G92H_RV G88P_DV G88P_RV
ren G06H_DV H_DV2006
ren G06H_RV H_RV2006
ren G04P_DV P_DV2004
ren G04P_RV P_RV2004
ren G04H_DV H_DV2004
ren G04H_RV H_RV2004
ren G02H_DV H_DV2002
ren G02H_RV H_RV2002
ren G00P_DV P_DV2000
ren G00P_RV P_RV2000
ren G00H_DV H_DV2000
ren G00H_RV H_RV2000
ren G98H_DV H_DV1998
ren G98H_RV H_RV1998
ren G96P_DV P_DV1996
ren G96P_RV P_RV1996
ren G96H_DV H_DV1996
ren G96H_RV H_RV1996
ren G94H_DV H_DV1994
ren G94H_RV H_RV1994
ren G92P_DV P_DV1992
ren G92P_RV P_RV1992
ren G92H_DV H_DV1992
ren G92H_RV H_RV1992
ren G88P_DV P_DV1988
ren G88P_RV P_RV1988
preserve
gen statedistrict = (statefp*100) + district
reshape long repshare, i(statedistrict) j(year)
drop statedistrict demshare*
save `tempRep'
restore
preserve
gen statedistrict = (statefp*100) + district
reshape long demshare, i(statedistrict) j(year)
drop statedistrict repshare*
mmerge state statefp district year using `tempRep'
drop _merge
save `tempDem'
restore
preserve
keep statefp state district H_DV*
gen statedistrict = (statefp*100) + district
reshape long H_DV, i(statedistrict) j(year)
drop statedistrict
mmerge state statefp district year using `tempDem'
drop _merge
save `tempHD'
restore
preserve
keep statefp state district H_RV*
gen statedistrict = (statefp*100) + district
reshape long H_RV, i(statedistrict) j(year)
drop statedistrict
mmerge state statefp district year using `tempHD'
drop _merge
save `tempHR'
restore
preserve
keep statefp state district P_DV*
gen statedistrict = (statefp*100) + district
reshape long P_DV, i(statedistrict) j(year)
drop statedistrict
mmerge state statefp district year using `tempHR'
drop _merge
save `tempPD'
restore
keep statefp state district P_RV*
gen statedistrict = (statefp*100) + district
reshape long P_RV, i(statedistrict) j(year)
drop statedistrict
mmerge state statefp district year using `tempPD'
drop _merge
keep state statefp district year repshare demshare P_RV P_DV H_RV H_DV
label var H_DV "Congress-Votes for Democrat"
label var H_RV "Congress-Votes for Republican"
label var P_DV "President-Votes for Democrat"
label var P_RV "President-Votes for Republican"
ren P_DV Pres_DemVotes
ren P_RV Pres_RepVotes
ren H_DV House_DemVotes
ren H_RV House_RepVotes
placevar  state statefp district year repshare demshare 

* Remove blanks due to resdistricting
drop if repshare == . | demshare == .
sort state district year

save "`outfile'", replace

cap log close
